singleton Material(twin_radial_fs15)
{
    mapTo = "twin_radial_fs15";
    diffuseMap[0] = "vehicles/common/wheels/trelleborgTwinRadial_diffuse.dds";
    specularMap[0] = "vehicles/common/wheels/trelleborgTwinRadial_specular.dds";
    normalMap[0] = "vehicles/common/wheels/trelleborgTwinRadial_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
};

singleton Material(hitch_upperlink)
{
    mapTo = "hitch_upperlink";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/upperLink_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/upperLink_specular.dds";
    normalMap[0] = "vehicles/common/farmingpack_materials/upperLink_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
//dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";

};

singleton Material(trailerhitch)
{
    mapTo = "trailerhitch";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/backHitch_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/backHitch_specular.dds";
    normalMap[0] = "vehicles/common/farmingpack_materials/backHitch_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
//dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";

};


singleton Material(beacon)
{
    mapTo = "beacon";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/beaconLight_diffuse.dds";
    normalMap[0] = "vehicles/common/farmingpack_materials/beaconLight_normal.dds";

    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
};

singleton Material(beacon_glass)
{
    mapTo = "beacon_glass";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/beaconLightAlpha_diffuse.dds";
    normalMap[0] = "vehicles/common/farmingpack_materials/beaconLightAlpha_normal.dds";

    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "1";
    translucentZWrite = "1";
};

singleton Material(glass)
{
    mapTo = "glass";
    diffuseMap[0] = "vehicles/common/glass_base.dds";
    //specularMap[0] = "vehicles/case_xl/window_specular.dds";
   
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "0";
    translucentZWrite = "1";
    dynamicCubemap = "true";
    
    
};


singleton Material(glass_dmg)
{
    mapTo = "glass_dmg";
    diffuseMap[0] = "vehicles/common/invisible.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";


   
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "0";
    translucentZWrite = "1";
    dynamicCubemap = "true";
    
    
};

singleton Material(rim001)
{
    mapTo = "rim001";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/rim001_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/rim001_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/rim001_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(t510)
{
    mapTo = "t510";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/T510_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/T510_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/T510_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(tm100)
{
    mapTo = "tm100";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM100_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM100_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM100_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(tm600)
{
    mapTo = "tm600";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM600_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM600_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM600_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(tm700)
{
    mapTo = "tm700";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM700_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM700_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM700_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(tm800)
{
    mapTo = "tm800";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM800_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM800_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM800_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(tm900)
{
    mapTo = "tm900";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM900_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM900_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TM900_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};

singleton Material(th400)
{
    mapTo = "th400";
    diffuseMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TH400_diffuse.dds";
    specularMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TH400_specular.dds";
    //normalMap[0] = "vehicles/common/farmingpack_materials/fs17_wheels/TH400_normal.dds";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";
    translucentZWrite = "1";
    
    
};














